package {	

	import flash.geom.Point;

	public class Direction {
		
		public static const UP:int = 2;
		public static const DOWN:int = 4;
		public static const RIGHT:int = 3;
		public static const LEFT:int = 1;
		
		public static function fromKeyCode(code:int):int {
			return code - 36;
		}
		
		public static function targetPosForDir(dir:int):Point {
			var pos:Point = new Point(0,0);
			switch(dir){
				case UP:
					pos.y = 600;
				break;
				
				case DOWN:
					pos.y = -600;
				break;
				
				case RIGHT: 
					pos.x = -800;
				break;
					
				case LEFT:
					pos.x = 800;
				break;
			}
			
			return pos;
		}
		
		// CONSTRUCTOR
		public function Direction() {}
		
		// ---------------------------------------------------------------
		// ::: PRIVATE ::: 
		// ---------------------------------------------------------------

	}

}